package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 推理时保存输入输出的参数信息
 * </p>
 *
 * @author gaodm
 * @since 2020-11-05
 */
public class TranDatadockingLog implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 医院编码、ID
     */
    private Long hospitalId;

    /**
     * 科室编码、ID
     */
    private String hosptialDeptCode;

    /**
     * 医生编码、ID
     */
    private String doctorCode;

    /**
     * 就诊id
     */
    private String inquiryCode;

    private Integer age;

    private String sexType;

    private String paramIn;

    private String paramOut;

    private Date transTime;

    private String remark;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }
    public String getHosptialDeptCode() {
        return hosptialDeptCode;
    }

    public void setHosptialDeptCode(String hosptialDeptCode) {
        this.hosptialDeptCode = hosptialDeptCode;
    }
    public String getDoctorCode() {
        return doctorCode;
    }

    public void setDoctorCode(String doctorCode) {
        this.doctorCode = doctorCode;
    }
    public String getInquiryCode() {
        return inquiryCode;
    }

    public void setInquiryCode(String inquiryCode) {
        this.inquiryCode = inquiryCode;
    }
    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }
    public String getSexType() {
        return sexType;
    }

    public void setSexType(String sexType) {
        this.sexType = sexType;
    }
    public String getParamIn() {
        return paramIn;
    }

    public void setParamIn(String paramIn) {
        this.paramIn = paramIn;
    }
    public String getParamOut() {
        return paramOut;
    }

    public void setParamOut(String paramOut) {
        this.paramOut = paramOut;
    }
    public Date getTransTime() {
        return transTime;
    }

    public void setTransTime(Date transTime) {
        this.transTime = transTime;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "TranDatadockingLog{" +
            "id=" + id +
            ", hospitalId=" + hospitalId +
            ", hosptialDeptCode=" + hosptialDeptCode +
            ", doctorCode=" + doctorCode +
            ", inquiryCode=" + inquiryCode +
            ", age=" + age +
            ", sexType=" + sexType +
            ", paramIn=" + paramIn +
            ", paramOut=" + paramOut +
            ", transTime=" + transTime +
            ", remark=" + remark +
        "}";
    }
}
