package com.diagbot.entity;

import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 检查映射表
 * </p>
 *
 * @author dsYun
 * @since 2024-07-22
 */
@Data
public class TranPacsInfo {
    /**
     * 申请单号
     */
    private String applyNo;

    /**
     * 报告单号
     */
    private String repNo;

    /**
     * 检查套餐项名称
     */
    private String pacsName;

    /**
     * 检查结果
     */
    private String results;

    /**
     * 检查类型名称
     */
    private String repTypeName;

    /**
     * 报告发布时间
     */
    private String repDate;

    /**
     * 报告检查时间
     */
    private String checkDate;

    /**
     * 申请时间
     */
    private String applyDate;
    /**
     * 申请医生
     */
    private String applyDoctor;

    /**
     * 开单科室代码
     */
    private String deptId;

    /**
     * 开单科室名称
     */
    private String deptName;

    /**
     * 报告单状态
     */
    private String registerFlag;

    /**
     * 报告医生
     */
    private String reportDoctor;

    /**
     * 报告审核医生
     */
    private String checker;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人，0表示无创建人值
     */
    private String modifier;

    /**
     * 备注
     */
    private String remark;

}