package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/6/17 10:30
 */
@Getter
@Setter
public class MappingConfigVO {
    private Long hospitalId;
    @NotNull(message = "请输入术语类型：1-化验、3-辅检、4-诊断、5-药品、6-手术和操作、7-科室、8-输血、10-量表、11-护理、12-中医诊断、13-中医证候、14-麻醉")
    private Integer type;
    private String hisName;
    private String hisDetailName;
}