package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;


@Getter
@Setter
public class PacsVO {

    /**
     * 申请单号
     */
    private String applyNo;

    /**
     * 报告单号
     */
    private String repNo;

    /**
     * 检查套餐项名称
     */
    private String pacsName;

    /**
     * 检查结果
     */
    private String results;

    /**
     * 检查类型名称
     */
    private String repTypeName;

    /**
     * 报告发布时间
     */
    private String repDate;

    /**
     * 报告检查时间
     */
    private String checkDate;

    /**
     * 申请时间
     */
    private String applyDate;
    /**
     * 申请医生
     */
    private String applyDoctor;

    /**
     * 开单科室代码
     */
    private String deptId;

    /**
     * 开单科室名称
     */
    private String deptName;

    /**
     * 报告单状态
     */
    private String registerFlag;

    /**
     * 报告医生
     */
    private String reportDoctor;

    /**
     * 报告审核医生
     */
    private String checker;

    /**
     * 操作类型(1：新增，2：删除，3：修改)
     */
    private Integer type;
}
